> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Snooze or resume contract collection

POST https://ssuccessv2.com/app/api/v1/collection/snooze
Content-Type: application/json

Snoozes each selected contract until a date, or resumes collection when snooze_until is null. An optional note is recorded for a new snooze.

Reference: https://docs.schoolset.io/api-reference/school-set-api/contract-collection/snooze-contracts

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Body (application/json)

This endpoint expects an object.

- `contract_ids` (list of integer, required)
- `snooze_until` (date, optional, nullable)
- `note` (string, optional, nullable)

## Response

### 200

Collection status changed.

- `status` (string, optional)
- `message` (string, optional)
- `data` (ApiV1CollectionSnoozePostResponsesContentApplicationJsonSchemaData, optional)

## Errors

### 401 Unauthorized Error

Authentication required.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

User cannot edit contracts.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

One or more contracts could not be found.

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Invalid contract selection or snooze date.

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Types

### ApiV1CollectionSnoozePostResponsesContentApplicationJsonSchemaData

- `contract_id` (integer, optional, nullable)
- `contract_ids` (list of integer, optional)
- `count` (integer, optional)
- `snoozed_until` (date, optional, nullable)
- `replaced_records` (list of integer, optional)
- `removed_records` (list of integer, optional)
- `removed_by_user_id` (integer, optional, nullable)
- `removed_at` (datetime, optional, nullable)

## Examples

**Request**

```json
{
  "contract_ids": [
    8841,
    8842
  ],
  "note": "Family requested a short payment extension."
}
```

**Response**

```json
{
  "status": "success",
  "message": "Saved successfully.",
  "data": {
    "contract_id": null,
    "contract_ids": [
      8841,
      8842
    ],
    "count": 2,
    "snoozed_until": {},
    "replaced_records": [],
    "removed_records": [],
    "removed_by_user_id": 77,
    "removed_at": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/collection/snooze"

payload = {
    "contract_ids": [8841, 8842],
    "note": "Family requested a short payment extension."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/collection/snooze';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"contract_ids":[8841,8842],"note":"Family requested a short payment extension."}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/collection/snooze"

	payload := strings.NewReader("{\n  \"contract_ids\": [\n    8841,\n    8842\n  ],\n  \"note\": \"Family requested a short payment extension.\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/collection/snooze")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"contract_ids\": [\n    8841,\n    8842\n  ],\n  \"note\": \"Family requested a short payment extension.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://ssuccessv2.com/app/api/v1/collection/snooze")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"contract_ids\": [\n    8841,\n    8842\n  ],\n  \"note\": \"Family requested a short payment extension.\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://ssuccessv2.com/app/api/v1/collection/snooze', [
  'body' => '{
  "contract_ids": [
    8841,
    8842
  ],
  "note": "Family requested a short payment extension."
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/collection/snooze");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"contract_ids\": [\n    8841,\n    8842\n  ],\n  \"note\": \"Family requested a short payment extension.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "contract_ids": [8841, 8842],
  "note": "Family requested a short payment extension."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/collection/snooze")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```